You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     vani...@freebsd.org
Last committer: vani...@freebsd.org
Ident:          $FreeBSD: head/databases/postgresql-plv8js/Makefile 414037 
2016-04-26 06:35:28Z vanilla $
Log URL:        
http://beefy1.nyi.freebsd.org/data/93i386-default/414324/logs/postgresql93-plv8js-1.4.8.log
Build URL:      
http://beefy1.nyi.freebsd.org/build.html?mastername=93i386-default&build=414324
Log:

====>> Building databases/postgresql-plv8js
build started at Mon May  2 05:03:22 UTC 2016
port directory: /usr/ports/databases/postgresql-plv8js
building for: FreeBSD 93i386-default-job-23 9.3-RELEASE-p40 FreeBSD 
9.3-RELEASE-p40 i386
maintained by: vani...@freebsd.org
Makefile ident:      $FreeBSD: head/databases/postgresql-plv8js/Makefile 414037 
2016-04-26 06:35:28Z vanilla $
Poudriere version: 3.1.12
Host OSVERSION: 1100102
Jail OSVERSION: 903000

---Begin Environment---
SHELL=/bin/csh
UNAME_p=i386
UNAME_m=i386
UNAME_v=FreeBSD 9.3-RELEASE-p40
UNAME_r=9.3-RELEASE-p40
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
SAVED_TERM=
MASTERMNT=/usr/local/poudriere/data/.m/93i386-default/ref
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin
POUDRIERE_BUILD_TYPE=bulk
PKGNAME=postgresql93-plv8js-1.4.8
OLDPWD=/
PWD=/usr/local/poudriere/data/.m/93i386-default/ref/.p/pool
MASTERNAME=93i386-default
SCRIPTPREFIX=/usr/local/share/poudriere
USER=root
HOME=/root
POUDRIERE_VERSION=3.1.12
SCRIPTPATH=/usr/local/share/poudriere/bulk.sh
LIBEXECPREFIX=/usr/local/libexec/poudriere
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
OSVERSION=903000
---End Environment---

---Begin OPTIONS List---
---End OPTIONS List---

--CONFIGURE_ARGS--

--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
MAKE=gmake ac_cv_path_PERL=/usr/local/bin/perl 
ac_cv_path_PERL_PATH=/usr/local/bin/perl 
XDG_DATA_HOME=/wrkdirs/usr/ports/databases/postgresql-plv8js/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/databases/postgresql-plv8js/work  
HOME=/wrkdirs/usr/ports/databases/postgresql-plv8js/work TMPDIR="/tmp" 
SHELL=/bin/sh CONFIG_SHELL=/bin/sh
--End CONFIGURE_ENV--

--MAKE_ENV--
XDG_DATA_HOME=/wrkdirs/usr/ports/databases/postgresql-plv8js/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/databases/postgresql-plv8js/work  
HOME=/wrkdirs/usr/ports/databases/postgresql-plv8js/work TMPDIR="/tmp" 
NO_PIE=yes WITHOUT_DEBUG_FILES=yes WITHOUT_KERNEL_SYMBOLS=yes SHELL=/bin/sh 
NO_LINT=YES PREFIX=/usr/local  LOCALBASE=/usr/local  LIBDIR="/usr/lib"  CC="cc" 
CFLAGS="-O2 -pipe -fno-strict-aliasing"  CPP="cpp" 
CPPFLAGS="-I/usr/local/include"  LDFLAGS=" -L/usr/local/lib" LIBS=""  CXX="c++" 
CXXFLAGS="-O2 -pipe -fno-strict-aliasing"  MANPREFIX="/usr/local" 
BSD_INSTALL_PROGRAM="install  -s -m 555"  BSD_INSTALL_LIB="install  -s -m 444"  
BSD_INSTALL_SCRIPT="install  -m 555"  BSD_INSTALL_DATA="install  -m 0644"  
BSD_INSTALL_MAN="install  -m 444"
--End MAKE_ENV--

--PLIST_SUB--
PORTVERSION="1.4.8"
OSREL=9.3
PREFIX=%D
LOCALBASE=/usr/local
RESETPREFIX=/usr/local
PORTDOCS=""
PORTEXAMPLES=""
LIB32DIR=lib
PERL_VERSION=5.20.3
PERL_VER=5.20
PERL5_MAN1=lib/perl5/site_perl/man/man1
PERL5_MAN3=lib/perl5/site_perl/man/man3
SITE_PERL=lib/perl5/site_perl
SITE_ARCH=lib/perl5/site_perl/mach/5.20
DOCSDIR="share/doc/plv8js"
EXAMPLESDIR="share/examples/plv8js"
DATADIR="share/plv8js"
WWWDIR="www/plv8js"
ETCDIR="etc/plv8js"
--End PLIST_SUB--

--SUB_LIST--
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=/usr/local/share/plv8js
DOCSDIR=/usr/local/share/doc/plv8js
EXAMPLESDIR=/usr/local/share/examples/plv8js
WWWDIR=/usr/local/www/plv8js
ETCDIR=/usr/local/etc/plv8js
--End SUB_LIST--

---Begin make.conf---
MACHINE=i386
MACHINE_ARCH=i386
ARCH=${MACHINE_ARCH}
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
#### /usr/local/etc/poudriere.d/make.conf ####
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
=======================<phase: check-sanity   >============================
===>  License PostgreSQL accepted by the user
===========================================================================
=======================<phase: pkg-depends    >============================
===>   postgresql93-plv8js-1.4.8 depends on file: /usr/local/sbin/pkg - not 
found
===>   Installing existing package /packages/All/pkg-1.7.2.txz
[93i386-default-job-23] Installing pkg-1.7.2...
[93i386-default-job-23] Extracting pkg-1.7.2: .......... done
===>   postgresql93-plv8js-1.4.8 depends on file: /usr/local/sbin/pkg - found
===>   Returning to build of postgresql93-plv8js-1.4.8
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===>  License PostgreSQL accepted by the user
===> Fetching all distfiles required by postgresql93-plv8js-1.4.8 for building
===========================================================================
=======================<phase: checksum       >============================
===>  License PostgreSQL accepted by the user
===> Fetching all distfiles required by postgresql93-plv8js-1.4.8 for building
=> SHA256 Checksum OK for plv8-plv8js-v1.4.8_GH0.tar.gz.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===>  License PostgreSQL accepted by the user
===> Fetching all distfiles required by postgresql93-plv8js-1.4.8 for building
===>  Extracting for postgresql93-plv8js-1.4.8
=> SHA256 Checksum OK for plv8-plv8js-v1.4.8_GH0.tar.gz.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for postgresql93-plv8js-1.4.8
===>  Applying FreeBSD patches for postgresql93-plv8js-1.4.8
===========================================================================
=======================<phase: build-depends  >============================
===>   postgresql93-plv8js-1.4.8 depends on executable: gmake - not found
===>   Installing existing package /packages/All/gmake-4.1_2.txz
[93i386-default-job-23] Installing gmake-4.1_2...
[93i386-default-job-23] `-- Installing indexinfo-0.2.4...
[93i386-default-job-23] `-- Extracting indexinfo-0.2.4: .... done
[93i386-default-job-23] `-- Installing libiconv-1.14_9...
[93i386-default-job-23] `-- Extracting libiconv-1.14_9: .......... done
[93i386-default-job-23] `-- Installing gettext-runtime-0.19.7...
[93i386-default-job-23] `-- Extracting gettext-runtime-0.19.7: .......... done
[93i386-default-job-23] Extracting gmake-4.1_2: .......... done
===>   postgresql93-plv8js-1.4.8 depends on executable: gmake - found
===>   Returning to build of postgresql93-plv8js-1.4.8
===>   postgresql93-plv8js-1.4.8 depends on package: perl5>=5.20<5.21 - not 
found
===>   Installing existing package /packages/All/perl5-5.20.3_12.txz
[93i386-default-job-23] Installing perl5-5.20.3_12...
[93i386-default-job-23] Extracting perl5-5.20.3_12: .......... done
Message from perl5-5.20.3_12:
The /usr/bin/perl symlink has been removed starting with Perl 5.20.
For shebangs, you should either use:

#!/usr/local/bin/perl

or

#!/usr/bin/env perl

The first one will only work if you have a /usr/local/bin/perl,
the second will work as long as perl is in PATH.
===>   postgresql93-plv8js-1.4.8 depends on package: perl5>=5.20<5.21 - found
===>   Returning to build of postgresql93-plv8js-1.4.8
===========================================================================
=======================<phase: lib-depends    >============================
===>   postgresql93-plv8js-1.4.8 depends on shared library: libv8.so - not found
===>   Installing existing package /packages/All/v8-3.18.5_1.txz
[93i386-default-job-23] Installing v8-3.18.5_1...
[93i386-default-job-23] `-- Installing libexecinfo-1.1_3...
[93i386-default-job-23] `-- Extracting libexecinfo-1.1_3: ..... done
[93i386-default-job-23] `-- Installing python27-2.7.11_2...
[93i386-default-job-23] |   `-- Installing libffi-3.2.1...
[93i386-default-job-23] |   `-- Extracting libffi-3.2.1: .......... done
[93i386-default-job-23] `-- Extracting python27-2.7.11_2: .......... done
[93i386-default-job-23] `-- Installing python2-2_3...
[93i386-default-job-23] `-- Extracting python2-2_3: ...... done
[93i386-default-job-23] Extracting v8-3.18.5_1: .......... done
Message from python27-2.7.11_2:
===========================================================================

Note that some standard Python modules are provided as separate ports
as they require additional dependencies. They are available as:

bsddb           databases/py-bsddb
gdbm            databases/py-gdbm
sqlite3         databases/py-sqlite3
tkinter         x11-toolkits/py-tkinter

===========================================================================
===>   postgresql93-plv8js-1.4.8 depends on shared library: libv8.so - found 
(/usr/local/lib/libv8.so)
===>   Returning to build of postgresql93-plv8js-1.4.8
===>   postgresql93-plv8js-1.4.8 depends on shared library: libpq.so.5 - not 
found
===>   Installing existing package /packages/All/postgresql93-client-9.3.12.txz
[93i386-default-job-23] Installing postgresql93-client-9.3.12...
[93i386-default-job-23] Extracting postgresql93-client-9.3.12: .......... done
Message from postgresql93-client-9.3.12:
The PostgreSQL port has a collection of "side orders":

postgresql-docs
  For all of the html documentation

p5-Pg
  A perl5 API for client access to PostgreSQL databases.

postgresql-tcltk 
  If you want tcl/tk client support.

postgresql-jdbc
  For Java JDBC support.

postgresql-odbc
  For client access from unix applications using ODBC as access
  method. Not needed to access unix PostgreSQL servers from Win32
  using ODBC. See below.

ruby-postgres, py-PyGreSQL
  For client access to PostgreSQL databases using the ruby & python
  languages.

postgresql-plperl, postgresql-pltcl & postgresql-plruby
  For using perl5, tcl & ruby as procedural languages.

postgresql-contrib
  Lots of contributed utilities, postgresql functions and
  datatypes. There you find pg_standby, pgcrypto and many other cool
  things.

etc...
===>   postgresql93-plv8js-1.4.8 depends on shared library: libpq.so.5 - found 
(/usr/local/lib/libpq.so.5)
===>   Returning to build of postgresql93-plv8js-1.4.8
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for postgresql93-plv8js-1.4.8
===========================================================================
=======================<phase: build          >============================
===>  Building for postgresql93-plv8js-1.4.8
sed -e 's/^#undef PLV8_VERSION/#define PLV8_VERSION "1.4.8"/' plv8_config.h.in 
> plv8_config.h
c++ -Wall -O2 -std=c++11 -fno-rtti  -I. -I. 
-I/usr/local/include/postgresql/server -I/usr/local/include/postgresql/internal 
-I/usr/local/include -I/usr/local/include -fPIC -c -o plv8.o plv8.cc
cc1plus: error: unrecognized command line option "-std=c++11"
Makefile:68: recipe for target 'plv8.o' failed
gmake: *** [plv8.o] Error 1
*** [do-build] Error code 1

Stop in /usr/ports/databases/postgresql-plv8js.
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to